summaryrefslogtreecommitdiff
path: root/test/magic_cookies_tests/magic_cookies_test_starter.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/magic_cookies_tests/magic_cookies_test_starter.sh')
-rwxr-xr-xtest/magic_cookies_tests/magic_cookies_test_starter.sh65
1 files changed, 5 insertions, 60 deletions
diff --git a/test/magic_cookies_tests/magic_cookies_test_starter.sh b/test/magic_cookies_tests/magic_cookies_test_starter.sh
index ac97d61..e4308cd 100755
--- a/test/magic_cookies_tests/magic_cookies_test_starter.sh
+++ b/test/magic_cookies_tests/magic_cookies_test_starter.sh
@@ -10,81 +10,26 @@
# the testcase simply executes this script. This script then runs client
# and service and checks that both exit successfully.
-FAIL=0
-
-# Parameter 1: the pid to check
-# Parameter 2: number of TCP/UDP sockets the process should have open
-check_tcp_udp_sockets_are_open ()
-{
- # Check that the passed pid/process does listen on at least one TCP/UDP socket
- # awk is used to avoid the case when a inode number is the same as a PID. The awk
- # program filters the netstat output down to the protocol (1st field) and
- # the PID/Program name (last field) fields.
- SERVICE_SOCKETS_LISTENING=$(netstat -tulpen 2> /dev/null | awk '{print $1 "\t" $NF}' | grep $1 | wc -l)
- if [ $SERVICE_SOCKETS_LISTENING -lt $2 ]
- then
- ((FAIL+=1))
- fi
-}
-
-# Parameter 1: the pid to check
-check_tcp_udp_sockets_are_closed ()
-{
- # Check that the passed pid/process does not listen on any TCP/UDP socket
- # or has any active connection via a TCP/UDP socket
- # awk is used to avoid the case when a inode number is the same as a PID. The awk
- # program filters the netstat output down to the protocol (1st field) and
- # the PID/Program name (last field) fields.
- SERVICE_SOCKETS_LISTENING=$(netstat -tulpen 2> /dev/null | awk '{print $1 "\t" $NF}' | grep $1 | wc -l)
- if [ $SERVICE_SOCKETS_LISTENING -ne 0 ]
- then
- ((FAIL+=1))
- fi
-
- SERVICE_SOCKETS_CONNECTED=$(netstat -tupen 2> /dev/null | awk '{print $1 "\t" $NF}' | grep $1 | wc -l)
- if [ $SERVICE_SOCKETS_CONNECTED -ne 0 ]
- then
- ((FAIL+=1))
- fi
-}
-
# Display a message to show the user that he must now call the external service
# to finish the test successfully
cat <<End-of-message
*******************************************************************************
*******************************************************************************
** Please now run:
-** magic_cookies_test_service_start.sh
+** magic_cookies_test_client_start.sh
** from an external host to successfully complete this test.
**
** You probably will need to adapt the 'unicast' settings in
** magic_cookies_client.json and
** magic_cookies_service.json to your personal setup.
**
-** As soon as the service is started please press <RETURN> to continue the test
*******************************************************************************
*******************************************************************************
End-of-message
-read
# Start the client for magic-cookies test
-export VSOMEIP_APPLICATION_NAME=magic_cookies_test_client
-export VSOMEIP_CONFIGURATION=magic_cookies_test_client.json
-./magic_cookies_test_client &
-CLIENT_PID=$!
-
-# Wait until client is finished
-for job in $(jobs -p)
-do
- # Fail gets incremented if either client or service exit
- # with a non-zero exit code
- wait $job || ((FAIL+=1))
-done
+export VSOMEIP_APPLICATION_NAME=magic_cookies_test_service
+export VSOMEIP_CONFIGURATION=magic_cookies_test_service.json
+./magic_cookies_test_service --tcp --static-routing
-# Check if server exited successfully
-if [ $FAIL -eq 0 ]
-then
- exit 0
-else
- exit 1
-fi
+exit $?